; AutoIt Version: 3.3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         yanni

#NoTrayIcon
#Include <Misc.au3>
#Include <file.au3>
#Include <string.au3>

If _Singleton("privacymode", 0)=0 Then
	Exit
EndIf

if $cmdline[0]<3 then
exit
endif

;reference $ascmdlin=("I:\applications\webres\dev\testversion\Profiles\3rh9s1la.default")
$getspos=StringInStr($CmdLine[2], "\" , 0, -1)
$porfidr=StringMid($CmdLine[2], 1, $getspos)
$profileini=($porfidr & "profiles.ini")
$privacyd=($porfidr & "privacymode")
$privprefs=($porfidr & "privacymode\prefs.js")

if  $cmdline[3]=("-update") then
makepriv()
elseif $cmdline[3]=("-clearcerts") then
clearcerts()
else
normpriv()
endif

func normpriv()
if FileExists($privacyd) then
FileWriteLine($privprefs, 'user_pref("kmeleon.display.title", "PRIVACY-MODE");' )
FileWriteLine($privprefs, 'user_pref("kmeleon.plugins.macros.modules.privacymode.load", false);' )
privacymode()
else
setprivacy()
endif
endfunc

func setprivacy()
$checkprof1=IniRead($profileini, "Profile1", "Name", "" )
$checkprof2=IniRead($profileini, "Profile2", "Name", "" )
$checkprof3=IniRead($profileini, "Profile3", "Name", "" )
;msgbox(48, $checkprof1, $checkprof1)
if $checkprof1=("privacymode") or $checkprof2=("privacymode") or $checkprof3=("privacymode") then
makepriv()
else
if $checkprof1=("") then
createpriv1()
else
if $checkprof1<>("") and $checkprof2=("") then
createpriv2()
else
if $checkprof1<>("") and $checkprof2<>("") and $checkprof3=("") then
createpriv3()
else
createpriv4()
endif
endif
endif
endif
endfunc

func createpriv1()
FileSetAttrib ($profileini, "-R")
Iniwrite($profileini, "Profile1", "Name", "privacymode" )
Iniwrite($profileini, "Profile1", "Path", "privacymode" )
Iniwrite($profileini, "Profile1", "IsRelative", "1" )
FileSetAttrib ($profileini, "+R")
makepriv()
endfunc

func createpriv2()
FileSetAttrib ($profileini, "-R")
Iniwrite($profileini, "Profile2", "Name", "privacymode" )
Iniwrite($profileini, "Profile2", "Path", "privacymode" )
Iniwrite($profileini, "Profile2", "IsRelative", "1" )
FileSetAttrib ($profileini, "+R")
makepriv()
endfunc

func createpriv3()
FileSetAttrib ($profileini, "-R")
Iniwrite($profileini, "Profile3", "Name", "privacymode" )
Iniwrite($profileini, "Profile3", "Path", "privacy" )
Iniwrite($profileini, "Profile3", "IsRelative", "1" )
FileSetAttrib ($profileini, "+R")
makepriv()
endfunc

func createpriv4()
FileSetAttrib ($profileini, "-R")
Iniwrite($profileini, "Profile4", "Name", "privacymode" )
Iniwrite($profileini, "Profile4", "Path", "privacymode" )
Iniwrite($profileini, "Profile4", "IsRelative", "1" )
FileSetAttrib ($profileini, "+R")
makepriv()
endfunc

func makepriv()
;msgbox(48, "Privacy mode setup", "Kmeleon will be restarted.   ", 4)
While ProcessExists("k-meleon.exe")
          WinClose("[CLASS:KMeleon Browser Window]", "");
          sleep(100);
              If WinActive("K-Meleon") Then
              Send("{Enter}")
              EndIf
Wend
processwaitclose("k-meleon.exe")
DirCopy($CmdLine[2], $privacyd , 1)
DirCopy($CmdLine[2], $privacyd , 1)
FileWriteLine($privprefs, 'user_pref("kmeleon.display.URLbarTitle", "pmode");' )
FileWriteLine($privprefs, 'user_pref("kmeleon.display.title", "PRIVACY-MODE");' )
FileWriteLine($privprefs, 'user_pref("kmeleon.favicons.cached", false);' )
FileWriteLine($privprefs, 'user_pref("browser.cache.disk.enable", false);' )
FileWriteLine($privprefs, 'user_pref("browser.cache.memory.enable", false);' )
FileWriteLine($privprefs, 'user_pref("browser.history_expire_days", 0);' )
FileWriteLine($privprefs, 'user_pref("kmeleon.plugins.history.load", false);' )
FileWriteLine($privprefs, 'user_pref("kmeleon.MRU.maxURLs", 0);' )
FileWriteLine($privprefs, 'user_pref("kmeleon.plugins.macros.modules.privacymode.load", false);' )
FileWriteLine($privprefs, 'user_pref("browser.tabs.closeButtons", 0);' )

sleep(444)
run($CmdLine[1])
endfunc

func privacymode()
$Pmode=(" -new -P privacymode  ")
$ExPar=_StringInsert($Pmode, $CmdLine[3], -1)
if WinExists("[REGEXPTITLE:PRIVACY-MODE]", "") Then
ShellExecute($CmdLine[1], $CmdLine[3])
else
ShellExecute($CmdLine[1], $ExPar)
EndIf
exit
endfunc

func clearcerts()
$chkpmcl=stringinstr($cmdline[2], "privacymode", 0)
if $chkpmcl>0 then
filedelete($cmdline[2] & "\cert8.db")
filedelete($cmdline[2] & "\history.dat")
filedelete($cmdline[2] & "\IconCache.dat")
filedelete($cmdline[2] & "\cookies.txt")
ClipPut ( "EXPUNGED BY PRIVACYMODE" )
;msgbox(0, "privacy mode", "yes indeed it's privacy")
else
;msgbox(0, "regular profile", "THIS IS REGULAR PROFILE")
endif
endfunc